@echo off

rem you can modify this variable to specify the path to your java executable.
rem by default consider that java executable in the path.
set java=java.exe

rem you can modify the encoding variable to specify the original encoding of your mp3 files
rem you have to do this, if you need to specify the value different from your system settings
rem for example encoding=cp1251 for russian
set encoding=cp1251


rem -------------------------------------------------------
rem - Normally, you should not modify the following code --
rem -------------------------------------------------------
set jarname=%~d0%~p0id3iconv-0.2.1.dm.jar

set id3iconv=%java% -jar %jarname%

if not "%encoding%"=="" (
	set id3iconv=%id3iconv% -e %encoding%
)

if "%~1"=="" (
	call :dointeractive
	exit /B 0
)

if exist "%~1\" (
	call :dodir "%~1"
	exit /B 0
)

call :dofiles "%~1"

exit /B 0


:dointeractive
echo -------------------------------------------------------
echo id3iconv 0.2.1 //modified by dm
echo this tool scans the specified path for mp3 files
echo and converts tags from v1 and v2 to unicode v2.
echo it modifies only files with tag v1 and without tag v2.
echo you can specify path name as a parameter.
echo no parameters specified, so you are in interactive mode.
echo now you can input the path to scan, like:
echo C:\
echo D:\Music\
echo -------------------------------------------------------
set /P dst=Enter The Path To Scan for MP3 Files : 
call :dodir "%dst%"
exit /B 0


:dodir
FOR /R "%~1" %%i IN (*.mp3) DO call :dofile "%%~i"
exit /B 0


:dofiles
FOR %%i IN (%1) DO call :dofile "%%~i"
exit /B 0


:dofile
echo * "%~1"
%id3iconv% -q "%~1"
exit /B 0

