// Decompiled by Jad v1.5.7g. Copyright 2000 Pavel Kouznetsov.
// Jad home page: http://www.geocities.com/SiliconValley/Bridge/8617/jad.html
// Decompiler options: packimports(3) nonlb 

package net.zhoufeng;

import de.vdheide.mp3.*;
import java.io.File;
import java.io.PrintStream;
import java.util.*;

public class ID3iconv {

	public ID3iconv() {
	}

	public static void main(String args[]) {
		int i = 0;
		if(args.length == 0) {
			usage();
			return;
		}
		String s = System.getProperty("file.encoding");
		for(; i < args.length; i++) {
			String s1 = args[i];
			if(s1.equals("-e")) {
				s = args[++i];
				continue;
			}
			if(s1.equals("-p")) {
				dry = true;
				continue;
			}
			if(s1.equals("-q")) {
				quiet = true;
				continue;
			}
			if(s1.equals("-v1")) {
				forcev1 = true;
				continue;
			}
			if(s1.equals("-removev1")) {
				removev1 = true;
				continue;
			}
			if(s1.equals("-d")) {
				isDebug = true;
				continue;
			}
			if(!s1.startsWith("-"))
				break;
			error("Unknown option: " + s1);
			System.exit(-1);
		}

		ID3iconv id3iconv = new ID3iconv();
		info("Using source encoding: " + s);
		for(int j = i; j < args.length; j++)
			try {
				info("Converting " + args[j]);
				id3iconv.convert(new File(args[j]), s);
			}
			catch(Exception exception) {
				exception.printStackTrace();
			}

	}

	private static void info(String s) {
		if(!quiet)
			System.out.println(s);
	}

	private void addFrame(String s, String s1) throws Exception {
		debug(s + ": " + s1);
		byte abyte0[] = s1.getBytes("UnicodeLittle");
		if(abyte0.length == 0) {
			return;
		} else {
			byte abyte1[] = new byte[abyte0.length + 3];
			System.arraycopy(abyte0, 0, abyte1, 1, abyte0.length);
			abyte1[abyte1.length - 2] = abyte1[abyte1.length - 1] = 0;
			abyte1[0] = 1;
			ID3v2Frame id3v2frame = new ID3v2Frame(s, abyte1, false, false, false, (byte)0, (byte)0, (byte)0);
			id3v2.addFrame(id3v2frame);
			return;
		}
	}

	private void convert(File file, String s) throws Exception {
		id3 = new ID3(file);
		id3.encoding = s;
		id3v2 = new ID3v2(file);
		boolean flag = id3.checkForTag();
		boolean flag1 = id3v2.hasTag();
		if(flag1 && !forcev1)
			try {
				id3v2.getFrames();
			}
			catch(Exception exception) {
				debug("Cannot get v2 frames, assuming no v2 tag.");
				flag1 = false;
			}
		if(flag && !flag1 || flag && forcev1) {
			info("Converting id3v1 tag to id3v2 Unicode format.");
			if(flag1 && forcev1)
				info("Warning: v1 tag use forced, original v2 tag overwritten.");
			id3v2.clear();
			addFrame("TALB", id3.getAlbum());
			addFrame("TOPE", id3.getArtist());
			addFrame("TPE1", id3.getArtist());
			addFrame("COMM", id3.getComment());
			addFrame("TIT2", id3.getTitle());
			addFrame("TORY", id3.getYear());
			addFrame("TYER", id3.getYear());
			int i = id3.getGenre();
			if(i >= 0 && i < genreString.length)
				addFrame("TCON", genreString[i]);
			else
				addFrame("TCON", "unknown");
			addFrame("TRCK", id3.getTrack() + "");
			if(!dry && removev1)
				id3.removeTag();
			if(!dry)
				id3v2.update();
		} else
		if(flag1) {
			info("Reencoding id3v2 tag into Unicode");
			boolean flag2 = false;
			Vector vector = id3v2.getFrames();
			if(vector != null && vector.size() > 0) {
				Iterator iterator = vector.iterator();
				do {
					if(!iterator.hasNext())
						break;
					ID3v2Frame id3v2frame = (ID3v2Frame)iterator.next();
					if(id3v2frame.getID().startsWith("T")) {
						if(id3v2.getVersion() == 3 && NON_UNICODE_FIELDS.contains(id3v2frame.getID())) {
							debug("No action for frame: " + id3v2frame.getID() + " because it's a v2.3 non-unicode field");
						} else {
							byte abyte0[] = id3v2frame.getContent();
							if(abyte0.length > 1 && abyte0[0] == 0) {
								String s1 = new String(abyte0, 1, abyte0.length - 1, s);
								debug(id3v2frame.getID() + ": " + s1);
								byte abyte1[] = s1.getBytes("UnicodeLittle");
								byte abyte2[] = new byte[abyte1.length + 5];
								System.arraycopy(abyte1, 0, abyte2, 1, abyte1.length);
								abyte2[abyte2.length - 2] = abyte2[abyte2.length - 1] = 0;
								abyte2[0] = 1;
								id3v2frame.setContent(abyte2);
								flag2 = true;
							}
						}
					} else {
						debug("No action for frame: " + id3v2frame.getID());
					}
				} while(true);
				if(!dry && flag2) {
					id3v2.touch();
					id3v2.update();
				}
				if(!dry && removev1)
					id3.removeTag();
			}
		} else {
			error("File " + file.getAbsolutePath() + " has no id3 tag, skipping!");
		}
	}

	private static void error(String s) {
		System.out.println(s);
	}

	private void debug(String s) {
		if(isDebug)
			System.err.println(s);
	}

	private static void usage() {
		System.out.println("ID3iconv - convert ID3 (ID3v1 or v2) tags from native encoding to unicode and store them using ID3v2 format.\n\n\tid3iconv [options] [mp3 files]\n\nSupported options:\n-e <encoding>   Specify original tag encoding.  If not specified, system default encoding will be used.\n-p              Dry-run. Do not actually modify files\n-v1             Force using v1 tag as source, even if v2 tag exists.  Default is using v2 tag.\n-removev1       Remove v1 tag after processing the file\n-q              Quiet mode\n-d              Output debug info to stderr\n\nCAUTION: Files are update in-place.  So backup if you're unsure of what you are doing.");
	}

	private static boolean isDebug;
	private static boolean removev1;
	private static boolean forcev1;
	private static boolean quiet;
	private static boolean dry;
	private static HashSet NON_UNICODE_FIELDS;
	private static String _NON_UNICODE_FIELDS[] = {
		"TDAT", "TIME", "TPOS", "TRCK", "TYER"
	};
	ID3 id3;
	ID3v2 id3v2;
	String genreString[] = {
		"Blues", "Classic Rock", "Country", "Dance", "Disco", "Funk", "Grunge", "Hip-Hop", "Jazz", "Metal", 
		"New Age", "Oldies", "Other", "Pop", "R&B", "Rap", "Reggae", "Rock", "Techno", "Industrial", 
		"Alternative", "Ska", "Death Metal", "Pranks", "Soundtrack", "Euro-Techno", "Ambient", "Trip-Hop", "Vocal", "Jazz Funk", 
		"Fusion", "Trance", "Classical", "Instrumental", "Acid", "House", "Game", "Sound Clip", "Gospel", "Noise", 
		"Alternative Rock", "Bass", "Soul", "Punk", "Space", "Meditative", "Instrumental Pop", "Instrumental Rock", "Ethnic", "Gothic", 
		"Darkwave", "Techno-Industrial", "Electronic", "Pop-Folk", "Eurodance", "Dream", "Southern Rock", "Comedy", "Cult", "Gangsta", 
		"Top 40", "Christian Rap", "Pop/Funk", "Jungle", "Native American", "Cabaret", "New Wave", "Psychadelic", "Rave", "Showtunes", 
		"Trailer", "Lo-Fi", "Tribal", "Acid Punk", "Acid Jazz", "Polka", "Retro", "Musical", "Rock & Roll", "Hard Rock", 
		"Folk", "Folk/Rock", "National Folk", "Swing", "Fast Fusion", "Bebob", "Latin", "Revival", "Celtic", "Bluegrass", 
		"Avantgarde", "Gothic Rock", "Progressive Rock", "Psychedelic Rock", "Symphonic Rock", "Slow Rock", "Big Band", "Chorus", "Easy Listening", "Acoustic", 
		"Humour", "Speech", "Chanson", "Opera", "Chamber Music", "Sonata", "Symphony", "Booty Bass", "Primus", "Porn Groove", 
		"Satire", "Slow Jam", "Club", "Tango", "Samba", "Folklore", "Ballad", "Power Ballad", "Rhythmic Soul", "Freestyle", 
		"Duet", "Punk Rock", "Drum Solo", "A Capella", "Euro-House", "Dance Hall", "Goa", "Drum & Bass", "Club-House", "Hardcore", 
		"Terror", "Indie", "BritPop", "Negerpunk", "Polsk Punk", "Beat", "Christian Gangsta Rap", "Heavy Metal", "Black Metal", "Crossover", 
		"Contemporary Christian", "Christian Rock", "Merengue", "Salsa", "Thrash Metal", "Anime", "JPop", "Synthpop"
	};

	static  {
		NON_UNICODE_FIELDS = new HashSet();
		for(int i = 0; i < _NON_UNICODE_FIELDS.length; i++)
			NON_UNICODE_FIELDS.add(_NON_UNICODE_FIELDS[i]);

	}
}
